KDE 4.7 PyKDE API Reference

- KDE's Python API

# NetworkInterface Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on network interfaces.

## Methods
| __init__ (self, QObject backendObject)
QString | hwAddress (self)
QString | ifaceName (self)
bool | isWireless (self)
long | macAddress (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new NetworkInterface object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

QString hwAddress | ( |  | self ) |

Retrieves the hardware address of the interface.

Returns:
  the hardware address as a string

QString ifaceName | ( |  | self ) |

Retrieves the name of the interface in the system. This name is system dependent, it allows to identify the interface in the system. For example it can be of the form "eth0" under Linux.

Returns:
  the interface name

bool isWireless | ( |  | self ) |

Indicates if this interface is wireless.

Returns:
  true if the interface is wireless, false otherwise

long macAddress | ( |  | self ) |

Retrieves the MAC address of the interface.

Returns:
  the MAC address

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the NetworkInterface device interface.

Returns:
  the NetworkInterface device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type